Execution Time18.76s

Test: roottest-root-io-event (Passed)
Build: v6-20-00-patches-aarch64-centos7-gcc48-opt (techlab-arm64-moonshot-xgene-004) on 2020-01-23 02:11:43
Repository revision: 91b72dd53d4cf36b593c7365f37539aa431d9c50

Test Timing: Passed
Processors1

Show Command Line
Display graphs:

Test output
-- TEST COMMAND -- 
cd /data/sftnight/build/night/LABEL/arm64/SPEC/default/V/6-20/roottest/root/io/event
/usr/bin/timeout -s USR2 270s make cleantest
-- BEGIN TEST OUTPUT --
c++  -pthread -std=c++11 -fsigned-char -I/data/sftnight/build/night/LABEL/arm64/SPEC/default/V/6-20/build/include -O -Wall -fPIC -I. -I./ -c Event.cxx -oEvent.o > Event_o_cxx.build.log 2>&1 || handleError.sh --cmd='Compilation with c++' --result=$? --log=Event_o_cxx.build.log --test=Event.o
rootcint -f EventDict.cxx -c Event.h EventLinkDef.h
c++  -pthread -std=c++11 -fsigned-char -I/data/sftnight/build/night/LABEL/arm64/SPEC/default/V/6-20/build/include -O -Wall -fPIC -I. -I./ -c EventDict.cxx -oEventDict.o > EventDict_o_cxx.build.log 2>&1 || handleError.sh --cmd='Compilation with c++' --result=$? --log=EventDict_o_cxx.build.log --test=EventDict.o
c++ -shared  Event.o EventDict.o /data/sftnight/build/night/LABEL/arm64/SPEC/default/V/6-20/build/lib/libTreePlayer.so /data/sftnight/build/night/LABEL/arm64/SPEC/default/V/6-20/build/lib/libTree.so /data/sftnight/build/night/LABEL/arm64/SPEC/default/V/6-20/build/lib/libGraf.so /data/sftnight/build/night/LABEL/arm64/SPEC/default/V/6-20/build/lib/libHist.so /data/sftnight/build/night/LABEL/arm64/SPEC/default/V/6-20/build/lib/libPhysics.so /data/sftnight/build/night/LABEL/arm64/SPEC/default/V/6-20/build/lib/libCore.so -o libEvent.so 
c++  -pthread -std=c++11 -fsigned-char -I/data/sftnight/build/night/LABEL/arm64/SPEC/default/V/6-20/build/include -O -Wall -fPIC -I. -I./ -c MainEvent.cxx -oMainEvent.o > MainEvent_o_cxx.build.log 2>&1 || handleError.sh --cmd='Compilation with c++' --result=$? --log=MainEvent_o_cxx.build.log --test=MainEvent.o
c++  MainEvent.o libEvent.so -L/data/sftnight/build/night/LABEL/arm64/SPEC/default/V/6-20/build/lib -lCore -lImt -lRIO -lNet -lHist -lGraf -lGraf3d -lGpad -lROOTVecOps -lTree -lTreePlayer -lRint -lPostscript -lMatrix -lPhysics -lMathCore -lThread -lMultiProc -lROOTDataFrame -pthread -lm -ldl -rdynamic \
	   -oEvent
rm -f bigeventTest.write.log ; mkdir bigeventTest.write.lock  >/dev/null 2>&1; result=$?; try=0; while [ $result -gt 0 -a -e bigeventTest.write.lock/lockfile ] ; do oldpid=`cat bigeventTest.write.lock/lockfile`; if [ `ps h --pid $oldpid | wc -l` -lt 1 ] ; then rm -r bigeventTest.write.lock; else echo "waiting for bigeventTest.write.lock ... try number $try" ; sleep 1; fi ; try=`expr ${try} + 1`; if [ ${try} -gt 90 ] ; then echo "Waited more than 90 seconds for lock acquisition, so let's give up." 1>&2; exit 1; fi; mkdir bigeventTest.write.lock  >/dev/null 2>&1; result=$?; done; echo $$ > bigeventTest.write.lock/lockfile ; previous_status=`if [ -e bigeventTest.write.locked.log ] ; then cat bigeventTest.write.locked.log; else echo nothing; fi` ; if [ test != "test" -o "$previous_status" != "success" ] ; then  sleep 10; (./Event 10 1 1 1;) > Event.write.log 2>&1 && echo "write success" > bigeventTest.write.log ; command_result=$?; if [ $command_result -eq 0 ] ; then echo "success" > bigeventTest.write.locked.log; else echo "failed" > bigeventTest.write.locked.log; fi else eval  echo "write success" > bigeventTest.write.log; command_result=0; fi; rm -r bigeventTest.write.lock; exit $command_result
./Event 10 1 1 20 > Event.write.log 2>bigeventTest.read.log && echo "read success" > bigeventTest.read.log
cat bigeventTest.write.log bigeventTest.read.log > bigeventTest.log
diff -u -b bigeventTest.ref bigeventTest.log && touch bigeventTest.success
if [ -f bigeventTest.ref64 ]; then 	( cd /data/sftnight/build/night/LABEL/arm64/SPEC/default/V/6-20/roottest/ && diff -u -b "root/io/event/bigeventTest.ref64" "root/io/event/bigeventTest.log" ) ; else 	( cd /data/sftnight/build/night/LABEL/arm64/SPEC/default/V/6-20/roottest/ && diff -u -b "root/io/event/bigeventTest.ref" "root/io/event/bigeventTest.log" ) ; fi > make.bigeventTest.diff.log || handleError.sh --cmd=diff --result=$? --log=make.bigeventTest.diff.log --test=bigeventTest
Tests in . ......................................................... OK

-- END TEST OUTPUT --
-- BEGIN TEST ERROR --
rm -rf main *Dict\.* Event.root .*~ *~ Event libEvent. *.o EventDict.cxx EventDict.h *~ *.log *. AutoDict_* *_ACLiC_* *.success *.summary *.d *.o *.obj *.so *.pcm *.def *.exp *.dll *.lib dummy.C *.pdb .def *.ilk *.manifest rootmap_* dummy* *.clog *.log *.elog *.celog *.eclog *.pylog *_C.rootmap *_cc.rootmap *_cpp.rootmap *_cxx.rootmap *_h.rootmap *_rflx.cpp *_cint.cpp *.root *.lock lock  .root_hist
--- Using ROOT from /data/sftnight/build/night/LABEL/arm64/SPEC/default/V/6-20/build
warning: Please remove the deprecated flag -c.

-- END TEST ERROR --